Bug 590832 - Review Request: iapetal - A 2D space rescue game
Review Request: iapetal - A 2D space rescue game
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
low Severity medium
: ---
: ---
Assigned To: Randall "Randy" Berry
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-05-10 15:04 EDT by Gwyn Ciesla
Modified: 2010-06-15 12:07 EDT (History)
4 users (show)

See Also:
Fixed In Version: iapetal-1.0-3.fc13
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-06-15 12:02:49 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
randyn3lrx: fedora‑review+
kevin: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Gwyn Ciesla 2010-05-10 15:04:49 EDT
Fly your lander carefully to rescue the scientists in the habitat module
from the falling asteroids.

SPEC: http://zanoni.jcomserv.net/fedora/iapetal/iapetal.spec
SRPM: http://zanoni.jcomserv.net/fedora/iapetal/iapetal-1.0-1.fc12.src.rpm
Comment 2 Randall "Randy" Berry 2010-06-09 01:50:50 EDT
Key:

[P] Pass
[F] Fail
[-] Not applicable
[?] Questions (see comments)

[P]  MUST: rpmlint must be run on every package. The output should be
     posted in the review.
    
     2 packages and 1 specfiles checked; 0 errors, 2 warnings.

     iapetal.noarch: W: no-manual-page-for-binary iapetal
     Each executable in standard binary directories should have a man page.
     iapetal.noarch: W: no-manual-page-for-binary iapetal-launcher
     Each executable in standard binary directories should have a man page.

[P]  MUST: The package must be named according to the Package Naming Guidelines.

[P]  MUST: The spec file name must match the base package %{name},
     in the format %{name}.spec unless your package has an exemption.

[P]  MUST: The package must meet the Packaging Guidelines.

[P]  MUST: The package must be licensed with a Fedora approved
     license and meet the Licensing Guidelines. GPLv3

[P]  MUST: The License field in the package spec file must match
     the actual license. GPLv3

[P]  MUST: If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of
     the license(s) for the package must be included in %doc.

[P]  MUST: The spec file must be written in American English.

[P]  MUST: The spec file for the package MUST be legible.

[P]  MUST: The sources used to build the package must match the upstream
     source, as provided in the spec URL. Reviewers should use md5sum for
     this task. If no upstream URL can be specified for this package,
     please see the Source URL Guidelines for how to deal with this.

[-]  MUST: The package MUST successfully compile and build into binary
     rpms on at least one primary architecture. Python

[-]  MUST: If the package does not successfully compile, build or work on
     an architecture, then those architectures should be listed in the spec
     in ExcludeArch. Each architecture listed in ExcludeArch MUST have a bug
     filed in bugzilla, describing the reason that the package does not
     compile/build/work on that architecture. The bug number MUST be
     placed in a comment, next to the corresponding ExcludeArch line.

[P]  MUST: All build dependencies must be listed in BuildRequires,
     except for any that are listed in the exceptions section of the
     Packaging Guidelines ; inclusion of those as BuildRequires is
     optional. Apply common sense.

[-]  MUST: The spec file MUST handle locales properly. This is done by
     using the %find_lang macro. Using %{_datadir}/locale/[ ] is strictly
     forbidden.

[-]  MUST: Every binary RPM package (or sub package) which stores shared
     library files (not just symlinks) in any of the dynamic linker's
     default paths, must call ldconfig in %post and %postun.

[P]  MUST: If the package is designed to be relocatable, the packager
     must state this fact in the request for review, along with the
     rationalization for relocation of that specific package.
     Without this, use of Prefix: /usr is considered a blocker.

[P]  MUST: A package must own all directories that it creates. If it does not
     create a directory that it uses, then it should require a package which
     does create that directory. Refer to the Guidelines for examples.

[P]  MUST: A package must not contain any duplicate files in the %files listing.

[P]  MUST: Permissions on files must be set properly. Executables should
     be set with executable permissions, for example. Every %files section
     must include a %defattr(...) line.

[P]  MUST: Each package must have a %clean section, which contains
     rm -rf %{buildroot} ( or $RPM_BUILD_ROOT ).

[P]  MUST: Each package must consistently use macros, as described in the
     macros section of Packaging Guidelines.

[P]  MUST: The package must contain code, or permissible content.
     This is described in detail in the code vs. content section
     of Packaging Guidelines.

[-]  MUST: Large documentation files should go in a -doc sub package.
     (The definition of large is left up to the packager's best judgment,
     but is not restricted to size. Large can refer to either size or quantity)

[-]  MUST: If a package includes something as %doc, it must not affect the
     runtime of the application. To summarize: If it is in %doc, the program
     must run properly if it is not present.

[-]  MUST: Header files must be in a -devel package.

[-]  MUST: Static libraries must be in a -static package.

[-]  MUST: Packages containing pkgconfig(.pc) files must 'Requires:
     pkgconfig' (for directory ownership and usability).

[-]  MUST: If a package contains library files with a suffix
     (e.g. libfoo.so.1.1), then library files that end in .so
     (without suffix) must go in a -devel package.

[-]  MUST: In the vast majority of cases, devel packages must require
     the base package using a fully versioned dependency: Requires:
     %{name} = %{version}-%{release}

[-]  MUST: Packages must NOT contain any .la libtool archives,
     these should be removed in the spec.

[F]  MUST: Packages containing GUI applications must include a
     %{name}.desktop file,and that file must be properly installed
     with desktop-file-install in the %install section. This is described
     in detail in the desktop files section of the Packaging Guidelines.
     If you feel that your packaged GUI application does not need a .desktop
     file, you must put a comment in the spec file with your explanation.

     "--vendor" Obsolete in new guidelines. 
     http://fedoraproject.org/wiki/Packaging/Guidelines#Desktop_files
     .desktop does not include version (Version=1.0)

[P]  MUST: Packages must not own files or directories already owned by
     other packages. The rule of thumb here is that the first package
     to be installed should own the files or directories that other packages
     may rely upon. This means, for example, that no package in Fedora should
     ever share ownership with any of the files or directories owned by the
     file system or man package. If you feel that you have a good reason to own
     a file or directory that another package owns, then please present that
     at package review time.

[P]  MUST: At the beginning of %install, each package MUST run
     rm -rf %{buildroot} ( or $RPM_BUILD_ROOT ).
     See Prepping BuildRoot For %install for details.

[P]  MUST: All file names in rpm packages must be valid UTF-8.

SHOULD Items:

[P]  Should build in mock. (Builds in all supported.)
[-]  Should build on all supported archs (noarch)
[P]  Should function as described.
[-]  Should have sane scriptlets.
[-]  Should have sub packages require base package with fully versioned depend.
[P]  Should have dist tag
[P]  Should package latest version
[P]  Check for outstanding bugs on package. (For core merge reviews)

Issues:

1. Desktop file install "--vendor Fedora" obsolete.
2. Shouldn't .desktop file include version?

Other than those two issues everything seems fine. Game functions as advertised.
Comment 3 Gwyn Ciesla 2010-06-09 10:11:53 EDT
SPEC: http://zanoni.jcomserv.net/fedora/iapetal/iapetal.spec
SRPM: http://zanoni.jcomserv.net/fedora/iapetal/iapetal-1.0-2.fc12.src.rpm

Fixed.

Also, if doing the review, in addition to the flag, assign it to yourself.
Comment 5 Randall "Randy" Berry 2010-06-09 18:46:58 EDT
Dead srpm link
http://zanoni.jcomserv.net/fedora/iapetal/iapetal-1.0-3.fc12.src.rpm
Comment 6 Gwyn Ciesla 2010-06-10 09:03:18 EDT
http://zanoni.jcomserv.net/fedora/iapetal/iapetal-1.0-3.fc13.src.rpm    

I sorta forgot that I upgraded to f13. :)
Comment 7 Randall "Randy" Berry 2010-06-10 13:01:25 EDT
Looks good to me. 

APPROVED
Comment 8 Gwyn Ciesla 2010-06-11 09:12:27 EDT
Awesome, thanks!

New Package CVS Request
=======================
Package Name: iapetal
Short Description: A 2D space rescue game
Owners: limb
Branches: F-13 F-12
InitialCC:
Comment 9 Kevin Fenzi 2010-06-14 00:25:31 EDT
CVS done (by process-cvs-requests.py).
Comment 10 Fedora Update System 2010-06-14 08:47:08 EDT
iapetal-1.0-3.fc12 has been submitted as an update for Fedora 12.
http://admin.fedoraproject.org/updates/iapetal-1.0-3.fc12
Comment 11 Fedora Update System 2010-06-14 08:47:14 EDT
iapetal-1.0-3.fc13 has been submitted as an update for Fedora 13.
http://admin.fedoraproject.org/updates/iapetal-1.0-3.fc13
Comment 12 Fedora Update System 2010-06-15 12:02:44 EDT
iapetal-1.0-3.fc12 has been pushed to the Fedora 12 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 13 Fedora Update System 2010-06-15 12:07:15 EDT
iapetal-1.0-3.fc13 has been pushed to the Fedora 13 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.